package org.example.listadoedificios;

import java.io.OutputStream;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ListView;

public class ListaAppActivity extends Activity {

	OutputStream outStream;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
//		requestWindowFeature(Window.FEATURE_NO_TITLE); // Quita titulo
		setContentView(R.layout.activity_main);

		Adapter adaptador = new Adapter(this);
		ListView lstOpciones = (ListView) findViewById(R.id.LstOpciones);
		lstOpciones.setAdapter(adaptador);

		lstOpciones.setOnItemClickListener(new OnItemClickListener() {

			@Override
			public void onItemClick(AdapterView<?> a, View v, int position,
					long id) {

				// Acciones al hacer click

				switch (position) {

				case 0: // Primer elemento lista

					Intent i = new Intent();
					i.setClass(getApplicationContext(), Mapa.class);
					
								
					i.putExtra("Titulo", "EASMU");
					i.putExtra("SubTitulo", "Edificio Administrativo de Servicios Múltiples");
					i.putExtra("Latitud", "43.359275");
					i.putExtra("Longitud", "-5.855841");
					i.putExtra("Direccion", "C/Coronel Aranda, 2 33005-Oviedo");
					i.putExtra("Superficie", "12500 m2");
					i.putExtra("Envolvente", "envolvente térmica 1");
					i.putExtra("Equipostic", "340 PCs");
					i.putExtra("Tomasdatos", "340 tomas datos");
					i.putExtra("Tomascorriente", "340 tomas A/C");
					
					startActivity(i);
					break;
					
				case 1: // Segundo elemento lista

					Intent i1 = new Intent();
					i1.setClass(getApplicationContext(), Mapa.class);
					
					i1.putExtra("Titulo", "Sede Calatrava");
					i1.putExtra("SubTitulo", "Consejerías de Presidencia, Turismo, Sanidad");
					i1.putExtra("Latitud", "43.358454");
					i1.putExtra("Longitud", "-5.860937");
					i1.putExtra("Direccion", "C/Antiguo Tartiere, 32 33005-Oviedo");
					i1.putExtra("Superficie", "37500 m2");
					i1.putExtra("Envolvente", "envolvente térmica 2");
					i1.putExtra("Equipostic", "740 PCs");
					i1.putExtra("Tomasdatos", "220 tomas datos");
					i1.putExtra("Tomascorriente", "450 tomas A/C");
					
					startActivity(i1);
					break;
					
				case 2: // Tercer elemento lista

					Intent i2 = new Intent();
					i2.setClass(getApplicationContext(), Mapa.class);
					
					i2.putExtra("Titulo", "EASMIN");
					i2.putExtra("SubTitulo", "Edificio Administrativo II");
					i2.putExtra("Latitud", "43.357565");
					i2.putExtra("Longitud", "-5.857530");
					i2.putExtra("Direccion", "C/Hermanos Pidal, 12 33005-Oviedo");
					i2.putExtra("Superficie", "22500 m2");
					i2.putExtra("Envolvente", "envolvente térmica 3");
					i2.putExtra("Equipostic", "440 PCs");
					i2.putExtra("Tomasdatos", "54 tomas datos");
					i2.putExtra("Tomascorriente", "224 tomas A/C");
					
					
					startActivity(i2);
					break;
					
				case 3: // Cuarto elemento lista

					Intent i3 = new Intent();
					i3.setClass(getApplicationContext(), Mapa.class);
					
					i3.putExtra("Titulo", "Biblioteca de Asturias");
					i3.putExtra("SubTitulo", "Edificio de la Biblioteca de Asturias");
					i3.putExtra("Latitud", "43.359514");
					i3.putExtra("Longitud", "-5.846410");
					i3.putExtra("Direccion", "Plza. el Fontán, 21 33005-Oviedo");
					i3.putExtra("Superficie", "43000 m2");
					i3.putExtra("Envolvente", "envolvente térmica 4");
					i3.putExtra("Equipostic", "1340 PCs");
					i3.putExtra("Tomasdatos", "345 tomas datos");
					i3.putExtra("Tomascorriente", "500 tomas A/C");
					
					
					startActivity(i3);
					break;
				}

			}

		});

	}
}
